<?php

/**
 * Class WC_Bws_Checkout_Captcha
 */

class WC_Bws_Checkout_Captcha extends WC_Bws_Captcha {

	/** Initialize actions and filters */
	public static function initialize() {

		// initialize if login is activated
		if ( isset( self::$plugin_options['captcha_wc_checkout'] ) || self::$plugin_options['captcha_wc_checkout'] == 'yes' ) {
			// adds the captcha to the checkout form
			add_action( 'woocommerce_checkout_billing', array( __CLASS__, 'display_captcha' ) );

			// authenticate the captcha answer
			add_action( 'woocommerce_checkout_process', array( __CLASS__, 'validate_captcha_wc_checkout' ) );
		}
	}


	/**
	 * Verify the captcha answer
	 *
	 */
	public static function validate_captcha_wc_checkout( ) {
		if ( ( function_exists( 'cptch_check_custom_form' ) && cptch_check_custom_form() !== true ) || ( function_exists( 'cptchpr_check_custom_form' ) && cptchpr_check_custom_form() !== true ) ) {
			wc_add_notice( __( self::$error_message ), 'error' );
		}
	}
}
