<?php

/**
 * Class WC_Bws_Login_Captcha
 */

class WC_Bws_Login_Captcha extends WC_Bws_Captcha {

	public static function initialize() {

		// initialize if login is activated
		if ( isset( self::$plugin_options['captcha_wc_login'] ) || self::$plugin_options['captcha_wc_login'] == 'yes' ) {

			// adds the captcha to the login form
			add_filter( 'woocommerce_login_form', array( __CLASS__, 'display_captcha' ) );

			// authenticate the captcha answer
			add_action( 'woocommerce_process_login_errors', array( __CLASS__, 'validate_login_captcha' ), 10, 2 );
		}
	}

	/**
	 * Verify the captcha answer
	 *
	 * @param $user string login username
	 * @param $password string login password
	 *
	 * @return WP_Error|WP_user
	 */
	public static function validate_login_captcha( $user, $password ) {
		if ( ( function_exists( 'cptch_check_custom_form' ) && cptch_check_custom_form() !== true ) || ( function_exists( 'cptchpr_check_custom_form' ) && cptchpr_check_custom_form() !== true ) ) {
			return new WP_Error( 'empty_captcha', self::$error_message );
		}

		return $user;
	}
}
