<?php

/**
 * Class WC_Bws_Lost_Password_Captcha
 */
 
class WC_Bws_Lost_Password_Captcha extends WC_Bws_Captcha {

	public static function initialize() {

		// initialize if login is activated
		if ( isset( self::$plugin_options['captcha_wc_lost_password'] ) || self::$plugin_options['captcha_wc_lost_password'] == 'yes' ) {

			// adds the captcha to the login form
			add_filter( 'woocommerce_lostpassword_form', array( __CLASS__, 'display_captcha' ) );

			// authenticate the captcha answer
			add_filter( 'allow_password_reset', array( __CLASS__, 'validate_lost_password_captcha'), 10, 2 );
		}
	}

	/**
	 * Verify the captcha answer.
	 *
	 * @return WP_Error
	 */
	public static function validate_lost_password_captcha( $allow, $user_id ) {
		if ( ( function_exists( 'cptch_check_custom_form' ) && cptch_check_custom_form() !== true ) || ( function_exists( 'cptchpr_check_custom_form' ) && cptchpr_check_custom_form() !== true ) ) {
			return new WP_Error( 'empty_captcha', self::$error_message );
		}
		return $allow;
	}
}
