<?php

/**
 * Class WC_Bws_Registration_Captcha
 */
 
class WC_Bws_Registration_Captcha extends WC_Bws_Captcha {

	/** Initialize actions and filters */
	public static function initialize() {

		// initialize if login is activated
		if ( isset( self::$plugin_options['captcha_wc_registration'] ) || self::$plugin_options['captcha_wc_registration'] == 'yes' ) {
			// adds the captcha to the registration form
			add_action( 'woocommerce_register_form', array( __CLASS__, 'display_captcha' ) );

			// authenticate the captcha answer
			add_filter( 'woocommerce_registration_errors', array(
				__CLASS__,
				'validate_captcha_wc_registration'
			), 10, 3 );
		}
	}


	/**
	 * Verify the captcha answer
	 *
	 * @param $validation_errors
	 * @param $username
	 * @param $email
	 *
	 * @return WP_Error
	 */
	public static function validate_captcha_wc_registration( $validation_errors, $username, $email ) {
		if ( ( function_exists( 'cptch_check_custom_form' ) && cptch_check_custom_form() !== true ) || ( function_exists( 'cptchpr_check_custom_form' ) && cptchpr_check_custom_form() !== true ) ) {
			$validation_errors = new WP_Error( 'failed_verification', self::$error_message );
		}

		return $validation_errors;
	}
}
