<?php

/*
Plugin Name: Captcha for WooCommerce
Plugin URI: https://www.bronzeart.ca/captcha-for-woocommerce/
Description: Implements the Captcha by BestWebSoft solution for WooCommerce login, registration, password reset, and checkout billing forms.  This plugin includes the last version of Captcha by BestWebSoft version 5.0.8.
Version: 5.0.8
Author: William Miles
Author URI: https://www.bronzeart.ca
License: GPL2
Text Domain: wc-bws-captcha
Domain Path: /languages
WC requires at least: 3.0
WC tested up to: 4.4.1
*/


/*  © Copyright 2018  William Miles  ( https://www.bronzeart.ca )

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/



require_once 'base-class.php';
require_once 'registration.php';
require_once 'login.php';
require_once 'lost-password.php';
require_once 'checkout.php';
require_once 'settings.php';


register_activation_hook( __FILE__, array( 'WC_Bws_Captcha', 'on_activation' ) );


if ( ! function_exists('is_plugin_inactive')) {
    require_once( ABSPATH . '/wp-admin/includes/plugin.php' );
}

$plugin_options = get_option( 'wc_bws_options' );
$plugin_options['embedded_message'] = __('no', 'wc-bws-captcha') ;

if (is_plugin_inactive('captcha-bws/captcha-bws.php')) {
   include 'captcha-bws/captcha-bws.php';
   $plugin_folder = realpath(dirname(__FILE__)) ;
   $plugin_data = get_plugin_data( $plugin_folder . '/captcha-bws/captcha-bws.php', false, false );
   $plugin_options['embedded_message'] = $plugin_data['Version'] ;
}

update_option( 'wc_bws_options', $plugin_options );


WC_Bws_Captcha::initialize();
WC_Bws_Login_Captcha::initialize();
WC_Bws_Registration_Captcha::initialize();
WC_Bws_Lost_Password_Captcha::initialize();
WC_Bws_Checkout_Captcha::initialize();
WC_Bws_Settings_Page::initialize();

register_uninstall_hook( __FILE__, array( 'WC_Bws_Captcha', 'on_uninstall' )  );

function wc_bws_plugin_settings_link($links) {
  $settings_link = '<a href="admin.php?page=wc-bws">' . __('Settings', 'wc-bws-captcha') . '</a>';
  array_unshift($links, $settings_link);
  return $links;
}
$plugin = plugin_basename(__FILE__);
add_filter("plugin_action_links_$plugin", 'wc_bws_plugin_settings_link' );
